<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="com.yihu.hos.system.model.SystemOrganization" table="system_organization">
        <id name="id" type="java.lang.String">
            <column name="id" length="50" />
            <generator class="uuid" />
        </id>
        <property name="fullName" type="java.lang.String">
            <column name="full_name" length="200" not-null="true">
                <comment>机构全称</comment>
            </column>
        </property>
        <property name="pid" type="java.lang.String">
            <column name="pid" length="50" not-null="true">
                <comment>父级机构(默认#)</comment>
            </column>
        </property>
        <property name="activityFlag" type="java.lang.String">
            <column name="activity_flag" length="10" not-null="true">
                <comment>是否有效</comment>
            </column>
        </property>
        <property name="code" type="java.lang.String">
            <column name="code" length="50">
                <comment>机构代码</comment>
            </column>
        </property>
        <property name="shortName" type="java.lang.String">
            <column name="short_name" length="50">
                <comment>机构简称</comment>
            </column>
        </property>
        <property name="pyCode" type="java.lang.String">
            <column name="py_code" length="50">
                <comment>机构拼音码</comment>
            </column>
        </property>
        <property name="area" type="java.lang.String">
            <column name="area" length="10">
                <comment>行政区划地址</comment>
            </column>
        </property>
        <property name="address" type="java.lang.String">
            <column name="address" length="200">
                <comment>详细地址</comment>
            </column>
        </property>
        <property name="orgType" type="java.lang.String">
            <column name="org_type" length="50">
                <comment>机构类型(字典)</comment>
            </column>
        </property>
        <property name="settled" type="java.lang.String">
            <column name="settled" length="50">
                <comment>是否入驻</comment>
            </column>
        </property>
        <property name="settledWay" type="java.lang.String">
            <column name="settled_way" length="50">
                <comment>入驻方式(字典)</comment>
            </column>
        </property>
        <property name="tel" type="java.lang.String">
            <column name="tel" length="50">
                <comment>机构电话</comment>
            </column>
        </property>
        <property name="tags" type="java.lang.String">
            <column name="tags" length="200">
                <comment>标签</comment>
            </column>
        </property>
        <property name="qlcOrgCode" type="java.lang.String">
            <column name="qlc_org_code" length="50">
                <comment>全流程机构代码</comment>
            </column>
        </property>
        <property name="qlcAdapterVersion" type="java.lang.String">
            <column name="qlc_adapter_version" length="50">
                <comment>全流程适配版本</comment>
            </column>
        </property>
    </class>
</hibernate-mapping>
